<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Modules|About Modules">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn more about module options." /><title>Common Module Options</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#06-modules/common-module-options.html">Open topic with navigation</a>
        </p>
        <h2>Common Module Options</h2>
        <p>The following options are available when you configure a module:</p>
        <ul>
            <li value="1"><b>Target Addresses</b> - The hosts targeted by the exploit. Leave this field blank to include all hosts in the project.</li>
            <li value="2"><b>Excluded Addresses</b> - The hosts excluded from the attack. Leave this field blank to include all hosts in the project.</li>
            <li value="3"><b>Exploit Timeout</b> - The number of minutes the module has before it times out.</li>
            <li value="4"><b>Payload Type</b> - The type of shell that the exploit obtains.</li>
            <li value="5"><b>Connection Type</b> - The direction of the connection.</li>
            <li value="6"><b>Listener Ports</b> - The address for the machine that the listener listens on.</li>
            <li value="7"><b>Listener Host</b> - The port for the machine that the listener listens on.</li>
            <li value="8"><b>RPORT</b> - The target port.</li>
            <li value="9"><b>RHOST</b> - The target address.</li>
            <li value="10"><b>VHOST</b> - The address for the HTTP virtual server. </li>
            <li value="11"><b>LHOST</b> - The address for the local host.</li>
            <li value="12"><b>LPORT</b>- The listener port on the local host.</li>
        </ul>
    </body>
</html>